%define upstream_name    XML-OPML-LibXML
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse OPML document with LibXML parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML)
BuildArch: noarch

%description
XML::OPML::LibXML is an OPML parser written using XML::LibXML. This module
is part of spin-off CPANization of Plagger plugins.

For now, all this module does is just parsing an OPML document. The API is
very simple and limited to low-level access, yet.

*NOTE*: This module is not designed to be a drop-in replacement of
XML::OPML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Mar 22 2013 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 404507
- imported package perl-XML-OPML-LibXML


* Fri Mar 22 2013 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
